Bug 176372 - Pause on KDE 3.5 startup
Pause on KDE 3.5 startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 16:14 EST by Marek Kassur
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 11:44:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Kassur 2005-12-21 16:14:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
After some login/logout cycles KDE freezes for about 30 seconds.

Here is good explanation of the problem:
https://www.redhat.com/archives/fedora-list/2005-December/msg02593.html

It's also reported on the Polish fedora forum.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Update to KDE 3.5
2.login/logut (do it few times)
3.KDE will stop responding for about 30 seconds after splash screen
  

Additional info:
Comment 1 Anand Buddhdev 2006-01-14 21:18:07 EST
I would also like to report this exact same problem. I have just started using
KDE 3.5.0, and I am experiencing precisely this problem. There is an
approximately 30-second delay after the main screen appears, and the panel is
drawn, but before the desktop is responsive. If I click on the K menu, it only
pops up after the 30-second delay.

As suggested by some people on the Fedora list, I ran a tcpdump in a text
console window while logging in, to confirm that it wasn't a network delay of
some kind. I can confirm that the login process generates NO network traffic, so
the delay cannot be related to networks.
Comment 2 Anand Buddhdev 2006-01-14 23:23:44 EST
I've been doing some more digging, and I seem to have at least found some kind
of relationship between this delay, gamin and mcop. I know that the gam_server
program has a timeout of 30 seconds, and then it dies. Since this delay is also
exactly 30 seconds, I thought there might be a relationship, and it seems there
is. I dropped to run level 3, so that I could start KDE manually. This is what I
did:

1. logged in with my account on the text console
2. ran startx
3. I got the 30-second delay, and then KDE started up fully
4. I logged out of KDE
5. rm -rf .mcop
6. Waited for 30 seconds for gam_server to die
7. startx
8. This time, the KDE session started without any delay
9. Went back to step 4, and lathered, rinsed and repeated. Each time, KDE
started without any delay

Now, I have absolutely no idea what is going on, but it seems pretty obvious
that the 3-second delay I and others are seeing is somehow related to gamin.

Will the person assigned to this bug now at least look into this?
Comment 3 Ngo Than 2006-01-17 06:53:55 EST
i can reproduce this problem on my machine. i will take a look here.
Comment 4 Christian Iseli 2007-01-22 06:00:05 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Anand Buddhdev 2007-01-30 11:31:11 EST
I don't see the issue in FC6, so you may close this bug.

Note You need to log in before you can comment on or make changes to this bug.